Create a connection
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({operations: []})
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--data '
{
"operations": []
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"
payload := strings.NewReader("{\n \"operations\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operations' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"
payload = { "operations": [] }
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"operations\": []\n}")
.asString();{
"connectorId": "<string>",
"ownerId": "<string>",
"operations": [
"<string>"
],
"status": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"object": "connection"
}{
"error": "MORPH::BAD_REQUEST",
"message": ""
}Connection
Create a connection
POST
/
v1
/
connections
/
{connectorId}
/
{ownerId}
Create a connection
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({operations: []})
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Path Parameters
Available options:
hubspot, pipedrive, salesforce, aircall, gong, attio, dialpad, calendly, xero, chargebee Body
application/jsonapplication/jwttext/plain
Available options:
genericCompany::create, genericCompany::retrieve, genericCompany::list, genericCompany::update, genericCompany::delete, genericCompany::fieldRead, genericCompany::fieldWrite, genericContact::create, genericContact::retrieve, genericContact::list, genericContact::update, genericContact::delete, genericContact::fieldRead, genericContact::fieldWrite, genericUser::create, genericUser::retrieve, genericUser::list, genericUser::update, genericUser::delete, genericUser::fieldRead, genericUser::fieldWrite, genericWorkspace::create, genericWorkspace::retrieve, genericWorkspace::list, genericWorkspace::update, genericWorkspace::delete, genericWorkspace::fieldRead, genericWorkspace::fieldWrite, crmOpportunity::create, crmOpportunity::retrieve, crmOpportunity::list, crmOpportunity::update, crmOpportunity::delete, crmOpportunity::fieldRead, crmOpportunity::fieldWrite, crmStage::create, crmStage::retrieve, crmStage::list, crmStage::update, crmStage::delete, crmStage::fieldRead, crmStage::fieldWrite, crmPipeline::create, crmPipeline::retrieve, crmPipeline::list, crmPipeline::update, crmPipeline::delete, crmPipeline::fieldRead, crmPipeline::fieldWrite, crmEngagement::create, crmEngagement::retrieve, crmEngagement::list, crmEngagement::update, crmEngagement::delete, crmEngagement::fieldRead, crmEngagement::fieldWrite, telephonyCall::create, telephonyCall::retrieve, telephonyCall::list, telephonyCall::update, telephonyCall::delete, telephonyCall::fieldRead, telephonyCall::fieldWrite, telephonyCallTranscript::create, telephonyCallTranscript::retrieve, telephonyCallTranscript::list, telephonyCallTranscript::update, telephonyCallTranscript::delete, telephonyCallTranscript::fieldRead, telephonyCallTranscript::fieldWrite, schedulingEventType::create, schedulingEventType::retrieve, schedulingEventType::list, schedulingEventType::update, schedulingEventType::delete, schedulingEventType::fieldRead, schedulingEventType::fieldWrite, schedulingSlot::create, schedulingSlot::retrieve, schedulingSlot::list, schedulingSlot::update, schedulingSlot::delete, schedulingSlot::fieldRead, schedulingSlot::fieldWrite, schedulingEvent::create, schedulingEvent::retrieve, schedulingEvent::list, schedulingEvent::update, schedulingEvent::delete, schedulingEvent::fieldRead, schedulingEvent::fieldWrite, widgetCardView::create, widgetCardView::retrieve, widgetCardView::list, widgetCardView::update, widgetCardView::delete, widgetCardView::fieldRead, widgetCardView::fieldWrite, accountingInvoice::create, accountingInvoice::retrieve, accountingInvoice::list, accountingInvoice::update, accountingInvoice::delete, accountingInvoice::fieldRead, accountingInvoice::fieldWrite, accountingInvoiceLineItem::create, accountingInvoiceLineItem::retrieve, accountingInvoiceLineItem::list, accountingInvoiceLineItem::update, accountingInvoiceLineItem::delete, accountingInvoiceLineItem::fieldRead, accountingInvoiceLineItem::fieldWrite, accountingInvoiceItem::create, accountingInvoiceItem::retrieve, accountingInvoiceItem::list, accountingInvoiceItem::update, accountingInvoiceItem::delete, accountingInvoiceItem::fieldRead, accountingInvoiceItem::fieldWrite